License 续期
更新时间不可用
续期指定的 License。
POST
https://api.sd-rtn.com/dabiz/license/v2/renew如需继续使用声网服务,为不影响你的业务,声网推荐你至少在 License 到期前 30 天联系 sales@shengwang.cn 申请续期。续期申请通过后,声网会生成 renewId 并提供给你,你可以调用 renew 接口续期 License。
鉴权
appidstring必填
你的声网项目使用的 App ID。
renewIdstring(可选)由 SKU、有效期、品类定义的 License 续期标识。联系 sales@shengwang.cn 获取。如果不填,则声网会按照项目级别、公司级别从高到低优先选择最早生成的 renewId 来执行续期操作。
licensestring必填
需要续期的 License 值。你可以在激活接口的 license 响应参数中获取。
注意
请注意区分大小写。
响应
请求成功。
为避免误调用续期 API 引起不必要的损失,只有当 License 的剩余有效时间小于 renewId 的有效期时,你才能成功调用续期 API。例如,当 License 的剩余有效时间为 40 天时,如果 renewId 的有效期为 60 天,则你可以成功调用续期 API;如果 renewId 的有效期为 30 天,则调用续期 API 会失败。
响应 Body
messagestringlicenseKeystring设备的唯一标识。
licensestring续期的 License。
renewTimesinteger续期次数。
lastRenewTimeinteger上次续期的时间戳。
activationTimeintegerLicense 激活的时间戳。
expireTimeintegerLicense 过期的时间戳。
请求示例
curl --request POST \
--url "https://api.sd-rtn.com/dabiz/license/v2/renew?appid=string&license=string" \
--header 'Authorization: Basic <credentials>'响应示例
{
"code": 200,
"message": "license续期成功",
"data": {
"licenseKey": "xxxx",
"license": "85B3xxxxxxxxxxxxxxxxxxxxxxxx656F",
"renewTimes": 1,
"lastRenewTime": 1700644272,
"activationTime": 1700642665,
"expireTime": 1705913065
}
}